Name:           nfft
Version:        3.3.2
Release:        6%{?dist}
Summary:        Nonequispaced fast Fourier transform

License:        GPLv2+
URL:            https://www-user.tu-chemnitz.de/~potts/nfft/index.php
Source0:        https://www-user.tu-chemnitz.de/~potts/nfft/download/nfft-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  fftw-devel 

%description
The NFFT (nonequispaced fast Fourier transform or nonuniform fast Fourier
transform) is a C subroutine library for computing the nonequispaced discrete
Fourier transform (NDFT) and its generalisations in one or more dimensions,
of arbitrary input size, and of complex data.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:	pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
BuildArch:	noarch
Summary:        Documentation for %{name}

%description    doc
The %{name}-doc package contains documentation for %{name}


%prep
%setup -q


%build
%configure --disable-static --enable-all 
make %{?_smp_mflags}

%check
make check

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING
%doc AUTHORS ChangeLog README
%exclude %{_pkgdocdir}/html
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/nfft3.pc

%files doc
%license COPYING
%doc doc/html

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Mar 12 2017 Christian Dersch <lupinix@mailbox.org> - 3.3.2-1
- new version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Apr 27 2016 Christian Dersch <lupinix@mailbox.org> - 3.3.1-1
- new version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 25 2015 Christian Dersch <lupinix@fedoraproject.org> - 3.3.0-2
- fixed -doc subpackage

* Thu Jun 25 2015 Christian Dersch <lupinix@fedoraproject.org> - 3.3.0-1
- initial spec
